/**
 * <copyright>
 * </copyright>
 *
 * $Id: AttributeUsageValidator.java,v 1.1 2008-04-01 09:35:21 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningdata.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.LogicalAttribute;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.UsageOption;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningdata.AttributeUsage}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface AttributeUsageValidator {
	boolean validate();

	boolean validateUsage(UsageOption value);
	boolean validateWeight(String value);
	boolean validateSuppressDiscretization(boolean value);
	boolean validateSuppressNormalization(boolean value);
	boolean validateAttribute(EList<LogicalAttribute> value);
}
